Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.reflect
Class AnnotationImpl<T extends java.lang.annotation.Annotation>

    java.lang.Object
      de.grogra.reflect.AnnotationImpl<T>

All Implemented Interfaces:
  Annotation<T>

    public class AnnotationImpl<T extends java.lang.annotation.Annotation>

extends java.lang.Object
implements Annotation<T>

Constructor Summary
`AnnotationImpl(java.lang.Class<T> type)`
`AnnotationImpl(Type<T> type)`

Method Summary
`Type<T>` | `annotationType()`
`java.lang.String[]` | `elements()`
`AnnotationImpl` | `setValue(java.lang.String element, java.lang.Class<?> value)`
`AnnotationImpl` | `setValue(java.lang.String element, java.lang.Object value)`
`java.lang.Object` | `value(java.lang.String element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationImpl

    public AnnotationImpl(java.lang.Class<T> type)

### AnnotationImpl

    public AnnotationImpl(Type<T> type)

Method Detail

### annotationType

    public Type<T> annotationType()

  Specified by:
    `annotationType` in interface `Annotation<T extends java.lang.annotation.Annotation>`

### elements

    public java.lang.String[] elements()

### setValue

    public AnnotationImpl setValue(java.lang.String element,
                                   java.lang.Class<?> value)

### setValue

    public AnnotationImpl setValue(java.lang.String element,
                                   java.lang.Object value)

### value

    public java.lang.Object value(java.lang.String element)

  Specified by:
    `value` in interface `Annotation<T extends java.lang.annotation.Annotation>`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD